function [ out ] = etwid0(lamda, t0, t1, e0, e1)
%Computes generalized e-twiddle0 profile going forward from time t0 to t1
%for Iceland sim
%See online appendix for derivation
    if(t1<=.5)
        out = e0-(1-2*t1+2*lamda)*(e0-e1);
    end
    if(t0>=.5)
        out=2*e0-e1-2*(e0-e1)*(t0+lamda);
    end
    if(t0<.5 & t1>.5)
       t=min(t1-.5,.5-t0);
       ind1=(lamda<=2*t);
       ind2=(lamda>2*t);
       out=(e0-lamda*(e0-e1)).*ind1+(e0+2*t*(e0-e1)-2*lamda*(e0-e1)).*ind2;
    end
    out=max(out,0);
end

